Package com.arthenica.ffmpegkit

## Enum Level

- java.lang.Object
- - java.lang.Enum<Level>
  - - com.arthenica.ffmpegkit.Level

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Level>`

    public enum Level
    extends java.lang.Enum<Level>

Enumeration type for log levels.

### Enum Constant Summary

Enum Constants
`AV_LOG_DEBUG` Stuff which is only useful for libav* developers.
`AV_LOG_ERROR` Something went wrong and cannot losslessly be recovered.
`AV_LOG_FATAL` Something went wrong and recovery is not possible.
`AV_LOG_INFO` Standard information.
`AV_LOG_PANIC` Something went really wrong and we will crash now.
`AV_LOG_QUIET` Print no output.
`AV_LOG_STDERR` This log level is defined by FFmpegKit.
`AV_LOG_TRACE` Extremely verbose debugging, useful for libav* development.
`AV_LOG_VERBOSE` Detailed information.
`AV_LOG_WARNING` Something somehow does not look correct.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Level` `from​(int value)` Returns the enumeration defined by provided value.
`int` `getValue()` Returns level value.
`static Level` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Level[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AV_LOG_STDERR

    public static final Level AV_LOG_STDERR

This log level is defined by FFmpegKit. It is used to specify logs printed to stderr by FFmpeg. Logs that has this level are not filtered and always redirected.

#### AV_LOG_QUIET

    public static final Level AV_LOG_QUIET

Print no output.

#### AV_LOG_PANIC

    public static final Level AV_LOG_PANIC

Something went really wrong and we will crash now.

#### AV_LOG_FATAL

    public static final Level AV_LOG_FATAL

Something went wrong and recovery is not possible. For example, no header was found for a format which depends on headers or an illegal combination of parameters is used.

#### AV_LOG_ERROR

    public static final Level AV_LOG_ERROR

Something went wrong and cannot losslessly be recovered. However, not all future data is affected.

#### AV_LOG_WARNING

    public static final Level AV_LOG_WARNING

Something somehow does not look correct. This may or may not lead to problems. An example would be the use of '-vstrict -2'.

#### AV_LOG_INFO

    public static final Level AV_LOG_INFO

Standard information.

#### AV_LOG_VERBOSE

    public static final Level AV_LOG_VERBOSE

Detailed information.

#### AV_LOG_DEBUG

    public static final Level AV_LOG_DEBUG

Stuff which is only useful for libav* developers.

#### AV_LOG_TRACE

    public static final Level AV_LOG_TRACE

Extremely verbose debugging, useful for libav* development.

### Method Detail

#### values

    public static Level[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Level c : Level.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Level valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### from

    public static Level from​(int value)

Returns the enumeration defined by provided value.

Parameters:
  `value` - level value
Returns:
  enumeration defined by value

#### getValue

    public int getValue()

Returns level value.

Returns:
  level value